Ravens PHP Scripts: Forums
 

 

View next topic
View previous topic
Post new topic   Reply to topic    Ravens PHP Scripts And Web Hosting Forum Index -> RavenNuke(tm) v2.5x
Author Message
Eduardo
Worker
Worker



Joined: Jul 20, 2004
Posts: 189
Location: Italy

PostPosted: Fri Aug 22, 2014 12:19 am Reply with quote

What could be the cause which does not allow the Recommend us module to send e-mails?
My server PHP is Version 5.4.29.
 
View user's profile Send private message
hicuxunicorniobestbuildpc
The Mouse Is Extension Of Arm



Joined: Aug 13, 2009
Posts: 1008
Location: Netherland

PostPosted: Fri Aug 22, 2014 2:44 am Reply with quote

Can you post if you are getting any error?

Open folder rnlogs/dblog

If you want to activate error then u need to do these steps.

Step 1: Open rnconfig.php with a decent editor where the mainfile.php is

Step 2: Search for
Code:
$loglevel = 0;


Step 3: change to value 1

Code:
$loglevel = 1;



Save your files and start again from above in order to check dblog and let us know the error is showing.


be sure you have this line on your mainfile.php

Code:
include_once NUKE_INCLUDE_DIR . 'tegonuke/mailer/mailer.php';
 
View user's profile Send private message Visit poster's website
neralex
Site Admin



Joined: Aug 22, 2007
Posts: 1509

PostPosted: Fri Aug 22, 2014 3:00 am Reply with quote

@hicux for what need this module a sql-query to send a email? The loglevel option is only for sql errors.

_________________
Github: RavenNuke 
View user's profile Send private message
hicuxunicorniobestbuildpc







PostPosted: Fri Aug 22, 2014 3:05 am Reply with quote

you are right but I just wanted to know what kind of error he is getting there to get some information. U never know. Wink
 
Eduardo







PostPosted: Fri Aug 22, 2014 3:54 am Reply with quote

Into mainfile.php there is the code line.
I modified rnconfig.php with 1.
I have sent a recommend us message without error:

"The reference to our site has been sent to xyz
Thanks for recommending us!"

Into ftp the error_log file contains:

[20-Aug-2014 19:15:52 Europe/Rome] PHP Warning: preg_match(): Unknown modifier '/' in /XXXX/XXXX/XXXXX/includes/nukesentinel.php on line 458
 
Eduardo







PostPosted: Fri Aug 22, 2014 4:13 am Reply with quote

Into rnlogs/dblog file
there is only:
*** YES, THIS IS A BLANK FILE - MAKE SURE PERMISSIONS ARE SET CORRECTLY SO IT CAN BE WRITTEN TO ***

I do permissions 777
 
neralex







PostPosted: Fri Aug 22, 2014 8:59 am Reply with quote

If you have it tested today so your posted PHP Warning was not created through your try to send a email with this module.

You could test with a simple php file if your server can send Emails with php.

Create a php-file and put this code inside:

php Code:
<?php

$sendfrom_email = '';
$receiver_email = '';

$subject = 'Test E-Mail';
$msg = "Email Message\r\n";

$header = 'From: ' . $sendfrom_email . "\r\n";
$header .= 'Reply-To: ' . $sendfrom_email . "\r\n";
$header .= 'X-Mailer: PHP/' . phpversion() . "\r\n";
$header .= 'MIME-Version: 1.0' . "\n";
$header .= 'Content-type: text/plain; charset=utf-8' . "\r\n";

if (mail($receiver_email, $subject, $msg, $header)) {
echo 'Test Email was sent.';
}
?>


Add to $sendfrom_email a adress from where you want send the php generated mail and add to $receiver_email the adress which should recieve it.
 
Eduardo







PostPosted: Fri Aug 22, 2014 9:35 am Reply with quote

The browser tell: Test Email was sent.
But I dont receive e-mail.

I have to say though that the Feedback module is working properly.
 
neralex







PostPosted: Fri Aug 22, 2014 10:21 am Reply with quote

Do you have checked your junk-folders and different adresses to recieve the mails?
 
Eduardo







PostPosted: Fri Aug 22, 2014 10:41 am Reply with quote

Yes, I do.
 
neralex







PostPosted: Fri Aug 22, 2014 11:29 am Reply with quote

open rnconfig.php and change this:

php Code:
$error_reporting = E_ALL^E_NOTICE;


to this:

php Code:
$error_reporting = E_ALL;


After that try Recommend Us again and check error.log on your FTP for new entries. After checking the error.log set this setting back to E_ALL^E_NOTICE.

Do you have made own changes in the module?
 
Eduardo







PostPosted: Fri Aug 22, 2014 1:07 pm Reply with quote

In error_log there are the following text:

[22-Aug-2014 20:58:28 Europe/Rome] PHP Notice: Undefined offset: 4 in /home/xxxx/public_html/modules/Content/index.php on line 89
[22-Aug-2014 20:58:28 Europe/Rome] PHP Notice: Undefined offset: 5 in /home/xxxx/public_html/modules/Content/index.php on line 89
[22-Aug-2014 20:58:28 Europe/Rome] PHP Notice: Undefined offset: 6 in /home/xxxx/public_html/modules/Content/index.php on line 89
[22-Aug-2014 20:58:28 Europe/Rome] PHP Notice: Undefined offset: 2 in /home/xxxx/public_html/modules/Content/index.php on line 89
[22-Aug-2014 20:58:28 Europe/Rome] PHP Notice: Undefined offset: 3 in /home/xxxx/public_html/modules/Content/index.php on line 89
[22-Aug-2014 20:58:28 Europe/Rome] PHP Notice: Undefined offset: 1 in /home/xxxx/public_html/modules/Content/index.php on line 89
 
neralex







PostPosted: Fri Aug 22, 2014 1:26 pm Reply with quote

These errors apearing only if you are on the content module but you should start a test with Recommend Us. Please try it again...

1. clear the error.log
2. Set error reporting to E_ALL in rnconfig.php
3. Go directly to Recommend Us and test it
4. Check error.log
5. Set error reporting to E_ALL^E_NOTICE in rnconfig.php
 
Eduardo







PostPosted: Sat Aug 23, 2014 12:10 am Reply with quote

Nada de nada.

error_log (no error.log) still remains white.

I have installed other times the same script, but at other servers, and Recommend Us works perfectly.

It is the first time I install RN251 on a server with php 5.4.29.

Until now this is the first malfunction, anomaly.

Unfortunately, this provider does not give me the option to change the version of php.
 
neralex







PostPosted: Sat Aug 23, 2014 1:45 am Reply with quote

Yes it seems its a server-issue. Try to contact the hoster and report the problem. Maybe they can solve it with or without to replace to the php version.
 
hicuxunicorniobestbuildpc







PostPosted: Sun Aug 24, 2014 4:40 am Reply with quote

Did you make any change on nukesentinel.php?

Code:
if (isset($name) && !preg_match('/^name=' . $name . '/i', $pg) && stristr($nsnst_const['script_name'], 'modules.php')) { $mod_check = 1; }


Can you check it out u got the same as this line above?

Anyway, I don't want to be off topic but please give us more information about your server.

My server has the option to change to these versions only:

5.5.14 PHP5.5.x New version of the 5.x series, that includes new features.
5.4.30 PHP5.4.x New version of the 5.x series, that includes new features.
5.3.28 PHP5.3.x The most updated and supported version. Recommended.
5.2.17 PHP5.2.x Version is no longer supported by PHP.net. We recommend using the version 5.3.x
 
neralex







PostPosted: Sun Aug 24, 2014 4:59 am Reply with quote

Eduardo wrote:
Unfortunately, this provider does not give me the option to change the version of php.


@hicux, you are right. You are going offtopic. This error apears because there was another issue that this errror has returned. Anyway.

As you can read it, Eduardo can't change the PHP version. It will not help that you let us know between which php versions you can choose.
 
Eduardo







PostPosted: Sun Aug 24, 2014 9:51 am Reply with quote

I installed a free clone in a server where I can edit the php.
I've tried changing all the available versions of php (5.2.17, 5.3.29, 5.4.31, 5.5.15), the script works perfectly.
Only where there is installed the PHP 5.4.29 does not work.
About all I asked why to my provider.
 
Eduardo







PostPosted: Sun Aug 24, 2014 10:04 am Reply with quote

hicuxunicorniobestbuildpc wrote:

Anyway, I don't want to be off topic but please give us more information about your server.


PHP 5.4.29
 
hicuxunicorniobestbuildpc







PostPosted: Sun Aug 24, 2014 12:44 pm Reply with quote

Can you ask your server if they can update your PHP or better send this link to them

[ Only registered users can see links on this board! Get registered or login! ]

I changed back mine to 5.4.30 and I didn't get any error. Let's see if you get any news from them.
 
Eduardo







PostPosted: Mon Aug 25, 2014 12:19 am Reply with quote

hicuxunicorniobestbuildpc wrote:
Can you ask your server if they can update your PHP or better send this link to them [ Only registered users can see links on this board! Get registered or login! ]
I changed back mine to 5.4.30 and I didn't get any error. Let's see if you get any news from them.


I have done.
 
Eduardo







PostPosted: Mon Aug 25, 2014 9:35 am Reply with quote

I am astounded. After long discussions and testing the webmaster has written to me as follows:

Il server sta su una lista rbl ed ho fatto richiesta di sblocco ora bisogna attendere.

I can not understand what is the rbl list.

Regarding the PHP 5.4.29 the answer is:

La nostra versione di php è stata "patchata" da cpanel quindi non soffre dei problemi di sicurezza elencati da lei.

Please let me know if this is possible or I just have to change provider.

The Recommend Us module will be obviously perfect.
 
Display posts from previous:       
Post new topic   Reply to topic    Ravens PHP Scripts And Web Hosting Forum Index -> RavenNuke(tm) v2.5x

View next topic
View previous topic
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You can attach files in this forum
You can download files in this forum


Powered by phpBB © 2001-2007 phpBB Group
All times are GMT - 6 Hours
 
Forums ©